CREATE TABLE cst_transaction_events (
    TRANSACTION_EVENT_ID          NUMBER(18, 0) ,
    ALLOW_PROJECT_TXN             VARCHAR2(4)   ,
    PROJECT_OVERRIDE_FLAG         VARCHAR2(4)   ,
    TRANSACTION_SOURCE_TYPE_ID    NUMBER(18, 0) ,
    TRANSACTION_ACTION_ID         NUMBER(18, 0) ,
    CONSIGNED_FLAG                VARCHAR2(4)       NOT NULL,
    COST_TRANSACTION_TYPE         VARCHAR2(40)  ,
    DEFAULT_COST_TXN_TYPE         VARCHAR2(40)  ,
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(80)  ,
    TRANSACTION_SUB_TYPE          VARCHAR2(120) ,
    TRANSACTION_FLOW_TYPE         NUMBER(18, 0) ,
    SOURCE_TABLE                  VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    EVENT_CLASS_CODE              VARCHAR2(120)     NOT NULL,
    EVENT_TYPE_CODE               VARCHAR2(120)     NOT NULL,
    ENTITY_CODE                   VARCHAR2(120)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    TRANSACTION_EVENT_ID          NUMBER(18, 0) ,
    TRANSACTION_SOURCE_TYPE_ID    NUMBER(18, 0) ,
    TRANSACTION_ACTION_ID         NUMBER(18, 0) ,
    COST_TRANSACTION_TYPE         VARCHAR2(40)  ,
    ADDITIONAL_PROCESSING_CODE    VARCHAR2(80)  ,
    TRANSACTION_FLOW_TYPE         NUMBER(18, 0) ,
    SOURCE_TABLE                  VARCHAR2(120) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    EVENT_CLASS_CODE              VARCHAR2(120)     NOT NULL,
    EVENT_TYPE_CODE               VARCHAR2(120)     NOT NULL,
    ENTITY_CODE                   VARCHAR2(120)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONSIGNED_FLAG                VARCHAR2(4)       NOT NULL,
    DEFAULT_COST_TXN_TYPE         VARCHAR2(40)  ,
    TRANSACTION_SUB_TYPE          VARCHAR2(120) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    ALLOW_PROJECT_TXN             VARCHAR2(4)   ,
    PROJECT_OVERRIDE_FLAG         VARCHAR2(4)   ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_cst_transaction_events PRIMARY KEY (TRANSACTION_EVENT_ID, TRANSACTION_EVENT_ID)
);
